function [stat]=bbisready(robot);
% bbisready(robot) - determines if the robot is not moving at the time and is ready for a new command
%		robot - robot control structure
%		stat	- 1 .. robot is ready, 0 .. last command is in progress

portwriteline(robot,'ST?');
status = portreadline(robot);
[first, last] = strtok(status,'=');
if isempty(last)
   error(['bbisready: unexpected response: "',status,'"']);
end
bin = dec2bin(eval(last(2:size(last,2))),18);
s='';
if bin(15)=='1'
   s = ['error, '];
end
if bin(2)=='1'
   s=[s,'arm power is off, '];
end
if bin(1)=='1'
   s=[s,'motion stop, '];      
end;
if ~isempty(s)
   error(['bbisready: ',s(1:length(s)-2),'.']);
end
stat = ~eval(bin(14));
return