function bbsetacceleration(robot, accels);
% bbsetacceleration(robot, accels) sets the acceleration for each axis to accels
%		robot		- robot control structure
%		accels	- 6-vector containing the desired accelerations for each axis

for i=1:6
   if robot.activemotors(i) ~= ' '
      % check if there is a value in accels
      if isnan(accels(i))
         % check if acceleration  is above lower bound and below upper bound
      elseif (accels(i)>=robot.minacceleration(i) & accels(i)<=robot.maxacceleration(i))      
         % set the acceleration
         portwriteline(robot,['REGACC', char(i+64), ':', int2str(accels(i))]);
         %sc(robot, ['REGACC', char(i+64), ':', int2str(accels(i))]);
      else
         error('accelerations out of bound');
      end
   end
end

return