function bbmoveircs(r,a,t,disc)
%bbmoveircs(r,a,t,disc) Moves robot to all positions in 'a' using coordinate move.
%r-robot control structure
%a-positions in degrees
%t-minimal time interval between 2 succeedings positions in miliseconds
%disc-rate of discontinuity in speeds (for details see manual for robot control unit).
%disc can be any nonnegative integer (best performance is achieved with disc set to about 5)
%example: bbmoveirc(robot,angles,50,5);
for i=1:size(a,1)
   if bbcheckirc(r,a(i,:))
   else
      error('bbmoveircs: bbcheckirc failed');     
   end 
end
bbwaitforready(r);
portwriteline(r,['COORDDISCONT:',int2str(disc)]);
switch r.robotname
case {'BB1','BB2'}
   portwriteline(r,'COORDGRP:A,B,C,D,E,F');
case 'bosch'
   portwriteline(r,'COORDGRP:A,B,C,D');
end

maxn=200;%length of command buffer
n=1;
while size(a,1)-n >= maxn
   for i=n:(n+maxn-1),
      switch r.robotname
      case {'BB1','BB2'}
      portwriteline(r,['COORDMVT:',int2str(t),',',int2str(a(i,1)),',',int2str(a(i,2)),',',...
            int2str(a(i,3)),',',int2str(a(i,4)),',',int2str(a(i,5)),',',int2str(a(i,6))]);
      case 'bosch'
      portwriteline(r,['COORDMVT:',int2str(t),',',int2str(a(i,1)),',',int2str(a(i,2)),',',...
            int2str(a(i,3)),',',int2str(a(i,4))]);
      end
   end;
   n=n+maxn;
   bin(1)=1;
   while bin(1) == 1 
      portwriteline(r,'ST?');
      tim=r.timeout;
      r=portsettimeout(r,60);
      status = portreadline(r);
      r=portsettimeout(r,tim);
      [first, last] = strtok(status,'=');
      if isempty(last)
         error(['bbmoveircs: unexpected response: "',status,'"']);
      end
      bin = dec2bin(eval(last(2:size(last,2))),8);
   end
end;
for i=n:size(a,1)
      switch r.robotname
      case {'BB1','BB2'}
      portwriteline(r,['COORDMVT:',int2str(t),',',int2str(a(i,1)),',',int2str(a(i,2)),',',...
            int2str(a(i,3)),',',int2str(a(i,4)),',',int2str(a(i,5)),',',int2str(a(i,6))]);
      case 'bosch'
      portwriteline(r,['COORDMVT:',int2str(t),',',int2str(a(i,1)),',',int2str(a(i,2)),',',...
            int2str(a(i,3)),',',int2str(a(i,4))]);
      end
end;   

bbwaitforready(r);
portwriteline(r,'COORDGRP:');
