function bbsetspeed(robot, speeds);
% bbsetspeed(robot, speeds) sets the speed for each axis to speeds
%		robot		- robot control structure
%		speeds	- 6-vector containing the desired speed for each axis

for i=1:6
   if robot.activemotors(i) ~= ' '
      % check if there is a value in speeds
      if isnan(speeds(i))
         % check if speed is above lower bound and below upper bound      
      elseif (speeds(i)>=robot.minspeed(i) & speeds(i)<=robot.maxspeed(i))
         % set the speed
         portwriteline(robot,['REGMS', char(i+64), ':', int2str(speeds(i))]);
         %sc(robot, ['REGMS', char(i+64), ':', int2str(speeds(i))]);
      else
         error('speeds out of bound');
      end   
   end
end

return