function contents;
%Robot toolbox. This toolbox currently controls robots Bluebot 1 and 2, Bosch.
%
%Open the toolbox by bbopen, do the hardhome by bbinit. Start working with the toolbox 
%(you can call bbinit everytime you want to do the hardhome). Close the toolbox 
%by bbclose.
%
%See bbdemo for example of using the toolbox.
%
%Main functions
%  bbopen - opens communication channel
%  bbinit - performs hardhome and softhome
%  bbclose - closes communication channel
%  robotBB1 - configuration of robot BB1
%  robotBB2 - configuration of robot BB2
%  robotbosch - configuration of robot Bosch
%
%  bbdemo - introduces main features of toolbox
%
%Port functions
%  portopen - opens port 
%  portclose - closes port
%  portreadline - reads line from port
%  portwriteline - writes line to port
%  portflush - flushes port
%  portsettimeout - sets port read timeout
%
%Low level functions
%  bbcheckirc - checks if motors are in bounds
%  bbgetirc - gets current robot position in IRC
%  bbmoveirc - moves robot to position in IRC
%  bbmoveircs - moves robot to positions in IRC using coordinate move
%  bbisready - checks if robot is ready to new command
%  bbwaitforready - waits until robot is ready.
%  bbsetacceleration - sets motors accelerations
%  bbsetspeed - sets motors speeds
%  bbresetmotors - reset all motors (clear errors...)
%
%IRC to degrees conversion and vice versa functions
%  bbdegtoirc - converts position in degrees to IRC
%  bbirctodeg - converts position in IRC to degrees
%  bbsofthome - performs softhome
%
%Degrees to Cartesian coordinates and vice versa functions
%  bbikt - computes inverse kinematic task
%  bbiktred - computes inverse kinematic task and delete solutions which 
%             don't pass bbcheckirc
%  bbkt - computes kinematic task
%  bbmovex - moves robot to position in Cartesian coordinates, allow
%            choose which solution use.
%
%Other functions
%  degtorad - converts degrees to radians
%  radtodeg - converts radians to degrees