function [robot]=bbopen(robotname);
%[robot]=bbopen(robotname) Opens the communication channel
%For each robot, there must be function ['robot',robotname]
%which has specific constants for that robot.
%For details, see for example functions robotBB1 or robotBB2.
%  robot - robot control structure

if nargin < 1
   error('BBOPEN requires robot name as input')
end

%we must read the port the robot is connected to
robot = [];
eval(['robot=robot',robotname,'(robot);']);
robot=portopen(robot);

%set timeout in seconds
robot=portsettimeout(robot,5);

%save robotname in robot
robot.robotname = robotname;

%this flag indicate if bbinit has executed
robot.hhflag = 0;