function [line]=portreadline(robot);
%[line,error]=portreadline(robot) Reads line from robot controller. Line must end with CRLF (which is also included in
%  'line')
switch robot.comlib
case 'rttool'
   [line, dummy, stop, err] = fscanf(robot.handle,'%s',inf,'\r\n');
   switch err
   case 0
   case 1
      error(['fscanf error ',num2str(err),': Receive data error']);
   case 2
      error(['fscanf error ',num2str(err),': Specified port is not open']);
   case 4
   case 8
      error(['fscanf error ',num2str(err),': Timeout has occured']);
   case 32
      error(['fscanf error ',num2str(err),': Input buffer overflow, new incoming data has been discarded']);
   case 64
      error(['fscanf error ',num2str(err),': System failure. System resources are low to handle this operation.']);
   otherwise
      error(['fscanf error ',num2str(err),': Unknown error'])
   end
   line = [line,stop];
case 'cport'
   disp('not implemented yet');
end
