function [Bk, lines] = koresp(B, P, Pr)

% B - Pruseciky
% P - Indexy primek v prusecicich
% Pr - Primky

% ktere primky jsou oznacene
StavOzn = zeros(1,size(Pr,2));

% oznaceni primek
Cis = zeros(1,size(Pr,2));
Pred = zeros(1,size(Pr,2));

% indexy oznacenych primek
Ozn = [];

if (size(B,2) == 1)
   Bk = [0; 0];
   return
elseif (size(B,2) == 0)
   Bk = [];
   return;
end

% zjisti prvni bod shora a zleva:
[min_y, ii] = min(B(2,:));
min_y = [B(1,ii); ii];
[min_x, ii] = min(min_y(1,:));
Ind =  min_y(2,ii);

% ktera je x, ktera y?
% vodorovnejsi y, svislejsi x
if ((abs([1 0]*Pr(1:2,P(1,Ind))/norm(Pr(1:2,P(1,Ind)))) >= abs([1 0]*Pr(1:2,P(2,Ind))/norm(Pr(1:2,P(2,Ind))))))
   % vodorovnejsi (p1) oznacime 1000+i, i jde od 0
   Cis(P(1,Ind)) = 1000;
   % svislejsi (p2) oznacime j, j jde od 0
   Cis(P(2,Ind)) = 0;
   Ozn = [P(1,Ind), P(2,Ind)];
else
   Cis(P(1,Ind)) = 0;
   Cis(P(2,Ind)) = 1000;
   Ozn = [P(2,Ind), P(1,Ind)];
end
Pred(P(1,Ind)) = P(2,Ind);
Pred(P(2,Ind)) = P(1,Ind);
StavOzn(P(:,Ind)) = 1;

% index oznacene primky, podle ktere jdeme
i = 1;

% cyklus se ukonci, pokud jsou vsechny primky oznacene
% nebo pokud uz neni primka, podle ktere by se dalo postupovat
while ((i <= size(Ozn,2)) & ~all(StavOzn))
   pr_old = Pred(Ozn(i));
   prim = Ozn(i);
   kolm = najdi_kolmice(prim, P);
   % je uz poradi?
   if (size(kolm,2) < 2)
      % neni a nejde stanovit, pokracujeme dalsi primkou
      ;
   elseif (sum(StavOzn(kolm)) < 2)
      % mame oznacenou pouze jednu primku, ale vidime nejakou dalsi ->
      % usporadame je a oznacime
      if (Cis(i) > 500)
         [Cis,Pred,Ozn,StavOzn]  = usporadej(prim,pr_old,kolm,'x',Cis,Pred,Ozn,StavOzn,P,B);
      else
         [Cis,Pred,Ozn,StavOzn]  = usporadej(prim,pr_old,kolm,'y',Cis,Pred,Ozn,StavOzn,P,B);
      end;
   else
      % mame usporadane alespon nejake primky
      % smer usporadani uz je dan
      [Cis,Pred,Ozn,StavOzn]  = usporadej(prim,pr_old,kolm,'o',Cis,Pred,Ozn,StavOzn,P,B);
   end
   i = i + 1;
end

% Vytvor pole bodu
Bk = Cis(P);
for i = 1 : size(Bk,2)
   if (Bk(1,i) > 500)
      t = Bk(1,i);
      Bk(1,i) = Bk(2,i);
      Bk(2,i) = t;
   end
end   
minx = min(Bk(1,:));
miny = min(Bk(2,:));
Bk = Bk - repmat([minx; miny], [1 size(Bk,2)]);
%maxx = max(Bk(1,:));
%maxy = max(Bk(2,:));
%for i = 1:maxx
%   lines(1:size(find(Bk(1,:)==i),2),i) = find(Bk(1,:)==i);
%end  
%for i = maxx+1:maxx+maxy
%   lines(1:size(find(Bk(2,:)==i),2),i) = find(Bk(2,:)==i);
%end
return


function kolm = najdi_kolmice(prim, P)
[x,y] = find(P == prim);
for i = 1 : size(x,1)
   kolm(1,i) = P(-x(i)+3, y(i));
end
return


function [OCis,OPred,OOzn,OStavOzn] = usporadej(pr,pr_old,kolm,sour,Cis,Pred,Ozn,StavOzn,P,B)

% pole: [cislo primky, x-pruseciku, y-pruseciku];
pole = [];
for i = 1 : size(kolm,2)
   ind = find(((P(1,:) == pr) & (P(2,:) == kolm(i))) | ((P(1,:) == kolm(i)) & (P(2,:) == pr)));
   pole = [pole; kolm(i), B(:,ind)'];
end

if (strcmp(sour, 'x'))
   pole = sortrows(pole, [2]);
elseif (strcmp(sour, 'y'))
   pole = sortrows(pole, [3]);
else % 'o' - usporadani je z casti hotove - pouzij ho
   % zjisti dva body
   ind1 = find(((P(1,:) == pr) & (P(2,:) == pr_old)) | ((P(1,:) == pr_old) & (P(2,:) == pr)));
   prus1 = B(:,ind1);
   ind2 = find(kolm ~= ind1);
   ind2 = ind2(1);
   pr2 = P(find(P(:,ind2) ~= pr),ind2);
   prus2 = B(:,ind2);
   % ve ktere souradnici se vic lisi, podle te budeme radit
   if (abs(prus1(1) - prus2(1)) > abs(prus1(2) - prus2(2)))
      % podle x
      % souradnice roste, index klesa nebo naopak -> obrat razeni
      if (sign(prus1(1) - prus2(1)) ~= sign(Cis(pr_old) - Cis(pr2)))
         pole(:,2) = -pole(:,2);
      end
      % serad
      pole = sortrows(pole, [2]);
   else
      % podle y
      % souradnice roste, index klesa nebo naopak -> obrat razeni
      if (sign(prus1(2) - prus2(2)) ~= sign(Cis(pr_old) - Cis(pr2)))
         pole(:,3) = -pole(:,3);
      end
      % serad
      pole = sortrows(pole, [3]);
   end
   [pr pr_old];
   kolm;
end

% kde je v poli uz oznacena primka
indpr = find(pole(:,1) == pr_old);

% pocatecni index
pocind = Cis(pr_old) - indpr + 1;

% priradit indexy vsem v poli (zapsat do Cis)
% zaradit nove oindexovane do Ozn
OCis = Cis;
OPred = Pred;
OOzn = Ozn;
for i = 1 : size(pole,1);
   OCis(pole(i,1)) = pocind - 1 + i;
   OPred(pole(i,1)) = pr;
   if (isempty(find(OOzn == pole(i,1))))
     OOzn(end+1) = pole(i,1);
   end
end

% update StavOzn
OStavOzn = zeros(size(StavOzn));
OStavOzn(pole(:,1)) = 1;
OStavOzn = bitor(OStavOzn, StavOzn);
return
