% M = [(h12-u0*h32)*(h11-h31*u0), (h22-v0*h32)*(h21-h31*v0), h32*h31;
%      (h11+h12-u0*h32-h31*u0)*(h11-h12+u0*h32-h31*u0), (h21+h22-v0*h32-h31*v0)*(h21-h22+v0*h32-h31*v0), (h31-h32)*(h31+h32)];
% g11 g13 g22 g23 g33
function [K,R,t]=params(H);

if (size(H,2) < 9)
  disp('jsou potreba min. 3 homografie');
  return;
end

A = [];
for i = 1 : size(H,2)/3
   h = H(:,3*i-2:3*i);
   M = [h(1,1)*h(1,2), h(3,1)*h(1,2)+h(1,1)*h(3,2), h(2,1)*h(2,2), h(3,1)*h(2,2)+h(2,1)*h(3,2), h(3,1)*h(3,2);
        h(1,1)^2-h(1,2)^2, 2*(h(3,1)*h(1,1)-h(3,2)*h(1,2)), h(2,1)^2-h(2,2)^2, 2*(h(3,1)*h(2,1)-h(3,2)*h(2,2)), h(3,1)^2-h(3,2)^2];
     A = [A; M];
end

[U,S,V]=svd(A);
g=V(:,end);
g11 = g(1); g13 = g(2); g22 = g(3); g23 = g(4); g33 = g(5);
v0 = -g23/g22;
u0 = -g13/g11;
ko = g33 - (g13^2-v0*g11*g23)/g11;
a = sqrt(ko/g11);
b = sqrt(ko/g22);
%u0 = -g13*a^2/ko;

K = [a 0 u0; 0 b v0; 0 0 1];
R = [];
t = [];
