%Radial Distortion Toolbox
%(c) Tom Werner, CMP Prague, June 1997 
%
%  Direct and inverse distortion
%    r2rdist - Lens radial distortion applied to an undistorted image point radius
%    rdist2r - Inverse lens radial distortion applied to a distorted image point radius
%    u2udist - Radial lens distortion function applied for image points
%    udist2u - Inverse radial lens distortion function applied for image points
%
%  Estimating radial distortion
%    rdestim - Estimating radial lens distortion parameters
%    objln   - Objective function for correcting radial lens distortion from lines
%    objho   - Objective function for correcting radial lens distortion from scene points
%              known up to 2D-to-2D homography
%  
%  Other
%    simul  - Testing the correction of radial lens distortion on synthetic data   
%
%  Utilities
%    uu2homog  - Estimates a homography between two planar 2D point sets.
%    showln    - Shows lines got with getedg.
%    loaddsk   - Loads properties of figures from file and opens figures if needed.
%    savedsk   - Saves properties of all figures to a file.
%    psimi2p   - Applies similitude transformation to lens radial distortion parameters.
%    plotdr    - Plots distortion polynom = distorted radius minus linear radius.
%    e2p       - Euclidean to projective coordinates.
%    p2e       - Projective to euclidean coordinates.
%    onlyused  - Removes unused points from pair (u,L).
%    normu     - Normalizes points to be used for LS estimation.
%    lstsqmfn  - Auxiliary objective function for LSTSQM.
%    lstsqm    - LEASTSQ with parameter masking and log file.
%    lstsq     - Solves non-linear least squares problems. Part of MATLAB Optimization Toolbox.
%    lsint     - Function to initialize LSTSQ routine. Part of MATLAB Optimization Toolbox.
%    linefit   - Fits a straight line to points in a plane minimizing sum of Euclidean distances.
%    figs      - Several useful servises for figures.










