function x_ = e2p(x)

%E2P  Euclidean to projective coordinates.
%     x_ = e2p(x) Adds the last row of ones.
%       x ... Size (dim,N). Euclidean coordinates.
%       x_ ... Size (dim+1,N) Projective coordinates.
%       (N can be arbitrary.)

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: e2p.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/e2p.m,v $)


x_ = [x; ones(1,size(x,2))];
