function figs(x,s)

% FIGS Several useful servises for figures.
%      All following services are performed for all existing figures.
%      FIGS nF ... (eg, FIGS 3F) opens n figures in predefined positions. See LOADDSK, SAVEDSK.
%      FIGS 2EPS s ... saves figures to EPSs. The same as FIGS2EPS.
%      FIGS POPUP ... pops up all figures to the foreground
%      FIGS FOR command ... executes command for all figures
%      FIGS HIDE, FIGS UNHIDE ... hides and unhides the figures.
%      FIGS NOTITLE, FIGS TITLE ... hides and unhides title of the figures.
%      FIGS NOMENU, FIGS MENU ... hides and unhides menus of the figures
%      FIGS CLEARNAME ... sets names of all figures to empty string

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: figs.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/figs.m,v $)


if ~isstr(x),
  if nargin == 1,
    loaddsk(['/home.zam/werner/Matlab/werner/' num2str(x) 'figs']);    
  end
else

  if     strcmp(x,'2eps'),
    if nargin == 1, s = ''; end
    figs2eps(s);

  elseif strcmp(x,'for'),
    h = findobj('type','figure'); for hi = h', figure(hi), eval(s); end

  elseif strcmp(x,'popup'),
    figs('for','')

  elseif strcmp(x,'hide'),
    set( findobj('type','figure'), 'visible','off' );
  elseif strcmp(x,'unhide'),
    set( findobj('type','figure'), 'visible','on' );

  elseif strcmp(x,'title'),
    set( findobj('type','figure'), 'NumberTitle','on' );
  elseif strcmp(x,'notitle'),
    set( findobj('type','figure'), 'NumberTitle','off' );

  elseif strcmp(x,'menu'),
    set( findobj('type','figure'), 'Menu','figure' );
  elseif strcmp(x,'nomenu'),
    set( findobj('type','figure'), 'Menu','none' );

  elseif strcmp(x,'clearname'),
    set( findobj('type','figure'), 'Name','' );

  else
    error('Unknown service demanded.');

  end

end

return
