function savedsk(DskName,FigPropsName)

% SAVEDSK  Saves properties of all figures to a file.
%          SAVEDSK DskName  saves properties to file DskName.dsk.
%          SAVEDSK DskName FigPropsName  does the same but for the properties
%            listed in the string array FigPropsName.
%
%          See also LOADDSK.

%       Author       : (c) T. Werner and T. Pajdla, {werner,pajdla}@cmp.felk.cvut.cz
%                      07/09/98
%                      Center for Machine Perception, Czech Technical University, Prague
%       Documentation: ftp://cmp.felk.cvut.cz/pub/cmp/articles/werner/tr97-138.ps.gz     
%       Language     : Matlab 5.1, (c) MathWorks                         
%       Last change  : $Id: savedsk.m,v 1.1 1998/09/07 15:54:15 Matlab Exp $
%       Status       : Ready ($Source: /home.others/Matlab/Matlab/radial/RCS/savedsk.m,v $)


% FigPropsVal  ... the values of figure properties. Every value is stored in (:) form.
% FigPropsSize ... sizes of figure properties. Necessary to reshape FigPropsVal to original form.

if exist('FigPropsName') ~= 1,
  FigPropsName =...
['BackingStore          '
 'Color                 '
 'Colormap              '
 'InvertHardcopy        '
 'KeyPressFcn           '
 'MenuBar               '
 'MinColormap           '
 'Name                  '
 'NextPlot              '
 'NumberTitle           '
 'PaperUnits            '
 'PaperOrientation      '
 'PaperPosition         '
 'PaperType             '
 'Pointer               '
 'Position              '
 'Resize                '
 'ShareColors           '
 'Units                 '
 'WindowButtonDownFcn   '
 'WindowButtonMotionFcn '
 'WindowButtonUpFcn     '
 'ButtonDownFcn         '
 'Clipping              '
 'Interruptible         '
 'Visible               '
];
end

RootChildren = get(0,'Children');

FigPropsSize = [];
FigPropsVal = [];
for ci = 1 : length(RootChildren),
  c = RootChildren(ci);
  for pi = 1 : size(FigPropsName,1),
    P = get(c,replace(FigPropsName(pi,:),' ',0));
    FigPropsSize = [FigPropsSize size(P)'];
    FigPropsVal  = [FigPropsVal  real(P(:))'];
  end
end

eval(['save ' DskName '.dsk RootChildren FigPropsName FigPropsSize FigPropsVal']);

return

['Color            '
 'ColorMap         '
 'InvertHardCopy   '
 'MenuBar          '
 'NumberTitle      '
 'Position         '
 'Resize           '
 'Visible          '];

