% M = [(h12-u0*h32)*(h11-h31*u0), (h22-v0*h32)*(h21-h31*v0), h32*h31;
%      (h11+h12-u0*h32-h31*u0)*(h11-h12+u0*h32-h31*u0), (h21+h22-v0*h32-h31*v0)*(h21-h22+v0*h32-h31*v0), (h31-h32)*(h31+h32)];

function [K, R, t] = rozklad(H, u)

u0 = u(1);
v0 = u(2);
A = [];
b = [];
for i = 1 : size(H,2)/3
   Hi = H(:,3*(i-1)+1:3*(i-1)+3);
   A = [A; [(Hi(1,2)-u0*Hi(3,2))*(Hi(1,1)-Hi(3,1)*u0), (Hi(2,2)-v0*Hi(3,2))*(Hi(2,1)-Hi(3,1)*v0), Hi(3,2)*Hi(3,1)]];
   A = [A; [(Hi(1,1)+Hi(1,2)-u0*Hi(3,2)-Hi(3,1)*u0)*(Hi(1,1)-Hi(1,2)+u0*Hi(3,2)-Hi(3,1)*u0), (Hi(2,1)+Hi(2,2)-v0*Hi(3,2)-Hi(3,1)*v0)*(Hi(2,1)-Hi(2,2)+v0*Hi(3,2)-H(3,1)*v0), (Hi(3,1)-Hi(3,2))*(Hi(3,1)+Hi(3,2))]];
%   b = [b; ; ];
end;


[U,S,V] = svd(A);
g=V(:,end)
%[v,s] = eig(A'*A);
%[void,i] = sort(abs(diag(s)));
%g = v(:,i(1));


K = [sqrt(1/g(1)) 0 u(1); 0 sqrt(1/g(2)) u(2); 0 0 1];
iK = [sqrt(g(1)) 0 -u(1)*sqrt(g(1)); 0 sqrt(g(2)) -u(2)*sqrt(g(2)); 0 0 1];
r1 = iK*H(:,1);
r2 = iK*H(:,2);
n1 = norm(r1);
n2 = norm(r2);
r1 = r1/n1;
r2 = r2/n2;
r3(1)=r1(2)*r2(3)-r1(3)*r2(3);
r3(2)=-r1(1)*r2(3)+r1(3)*r2(1);
r3(3)=r1(1)*r2(2)-r1(2)*r2(1);
n3=norm(r3);
r3 = r3'/n3;


t = iK*H(:,3);
t = t/sqrt(n2^2+n1^2);
%r3 = [0 -r1(3) r1(2); r1(3) 0 -r1(1); -r1(2) r1(1) 0;]*r2';


R = [r1 r2 r3];
